package principal

object Relatorios {
  def gerarRelatorio1(listaLinhas : List[String]) =
  {
    var relatorio : java.io.BufferedWriter = null;
    
    try {
			relatorio = new java.io.BufferedWriter(new java.io.FileWriter("1-apagar.csv"));
			listaLinhas.foreach
			{
			  texto => relatorio.write(texto + "\n");
			}
		} catch {
		  	case e : java.io.IOException => {
		  		println("Erro ao escrever 1-apagar.csv");
		  	}
		} finally {
			try {
				relatorio.close();
			} catch {
			  	case e : java.lang.Exception => {
			  		println(RichException(e));
			  	}
			}
		}
  }
  
  def gerarRelatorio2(listaLinhas : List[String]) =
  {
    var relatorio : java.io.BufferedWriter = null;
    
    try {
			relatorio = new java.io.BufferedWriter(new java.io.FileWriter("2-areceber.csv"));
			listaLinhas.foreach
			{
			  texto => relatorio.write(texto + "\n");
			}
		} catch {
		  	case e : java.io.IOException => {
		  		println("Erro ao escrever 2-areceber.csv");
		  	}
		} finally {
			try {
				relatorio.close();
			} catch {
			  	case e : java.lang.Exception => {
			  		println(RichException(e));
			  	}
			}
		}
  }
}